# oci_free_statement

(PHP 5, PHP 7, PECL OCI8 >= 1.1.0)

oci_free_statement — Frees all resources associated with statement or cursor

### Description

oci_free_statement ( resource `$statement` ) : bool

Frees resources associated with Oracle's cursor or statement, which was received from as a result of oci_parse() or obtained from Oracle.

### Parameters

`statement`

  A valid OCI statement identifier.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.